summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorIan Delaney <idella4@gentoo.org>2015-09-04 14:18:30 +0800
committerIan Delaney <idella4@gentoo.org>2015-09-04 14:18:30 +0800
commit4250008b825166d449d66e2df174a7364db0d4a2 (patch)
tree4a3954dd28716e94f3fe74c3e94fe47d3896d5d6 /app-i18n
parentdev-python/futurist: Add documentation to HOMEPAGE (diff)
downloadgentoo-4250008b825166d449d66e2df174a7364db0d4a2.tar.gz
gentoo-4250008b825166d449d66e2df174a7364db0d4a2.tar.bz2
gentoo-4250008b825166d449d66e2df174a7364db0d4a2.zip
app-i18n/man-pages-pl-0.6: fix file collisions with sys-apps/shadow-4.2.1-r1
patch submitted by Marek Paƛnikowski, endorsed by maintainer with user patch support added, fixes Bugs #557372 #558542 Package-Manager: portage-2.2.20
Diffstat (limited to 'app-i18n')
-rw-r--r--app-i18n/man-pages-pl/man-pages-pl-0.6.ebuild10
1 files changed, 9 insertions, 1 deletions
diff --git a/app-i18n/man-pages-pl/man-pages-pl-0.6.ebuild b/app-i18n/man-pages-pl/man-pages-pl-0.6.ebuild
index 64c861ba5fc..e2444ec2a17 100644
--- a/app-i18n/man-pages-pl/man-pages-pl-0.6.ebuild
+++ b/app-i18n/man-pages-pl/man-pages-pl-0.6.ebuild
@@ -17,4 +17,12 @@ DOCS=( AUTHORS README )
S="${WORKDIR}/manpages-pl-${PV}"
-RDEPEND="virtual/man"
+src_prepare() {
+ epatch_user
+ #mans provided by other packages
+ mans="generated/man1/groups.1 po/man1/groups.1.po"
+
+ for man in ${mans}; do
+ rm ${man} || die
+ done
+}